IOExceptionWrapper (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.bdb.util.IOExceptionWrapper,IOExceptionWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb.util
Class IOExceptionWrapper

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--com.sleepycat.bdb.util.IOExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, Serializable

public class IOExceptionWrapper
extends IOException
implements ExceptionWrapper

An IOException that can contain nested exceptions.

See Also:
  Serialized Form

Constructor Summary
`IOExceptionWrapper(Throwable e)`

Method Summary
`Throwable` | `getDetail()` Returns the nested exception or null if none is present.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IOExceptionWrapper

    public IOExceptionWrapper(Throwable e)

Method Detail

### getDetail

    public Throwable getDetail()

  Description copied from interface: `ExceptionWrapper`
  Returns the nested exception or null if none is present.

  Specified by:
    `getDetail` in interface `ExceptionWrapper`
  Returns:
    the nested exception or null if none is present.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.